ClassificationResult (Lucene 10.5.0 classification API)
Description: declaration: package: org.apache.lucene.classification, record: ClassificationResult

Package org.apache.lucene.classification

# Record Class ClassificationResult<T>

java.lang.Object
java.lang.Record
org.apache.lucene.classification.ClassificationResult<T>

Record Components:
  `assignedClass` - the class `T` assigned by a `Classifier`
  `score` - score the score for the assignedClass as a `double`

All Implemented Interfaces:
  `Comparable<ClassificationResult<T>>`

public record ClassificationResult<T>(T assignedClass, double score) extends Record implements Comparable<ClassificationResult<T>>
The result of a call to `Classifier.assignClass(String)` holding an assigned class of type `T` and a score.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassificationResult(T assignedClass, double score)`
  Creates an instance of a `ClassificationResult` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `assignedClass()`
  Returns the value of the `assignedClass` record component.
  `int`
  `compareTo(ClassificationResult<T> o)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `double`
  `score()`
  Returns the value of the `score` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassificationResult

    public ClassificationResult(T assignedClass, double score)
    Creates an instance of a `ClassificationResult` record class.
    Parameters:
      `assignedClass` - the value for the `assignedClass` record component
      `score` - the value for the `score` record component

- ## Method Details

  - ### compareTo

    public int compareTo(ClassificationResult<T> o)
    Specified by:
      `compareTo` in interface `Comparable<T>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### assignedClass

    public T assignedClass()
    Returns the value of the `assignedClass` record component.
    Returns:
      the value of the `assignedClass` record component

  - ### score

    public double score()
    Returns the value of the `score` record component.
    Returns:
      the value of the `score` record component